using System;

namespace takkvalifikacije
{
    class Program
    {
        static void Main()
        {
            string[] brojevi = Console.ReadLine().Split(' ');

            string najveci = null;
            for (int i = 0; i < 6; i++)
            {
                string broj;
                switch (i)
                {
                    case 0: broj = brojevi[0] + brojevi[1] + brojevi[2]; break; // 012
                    case 1: broj = brojevi[1] + brojevi[2] + brojevi[0]; break; // 120
                    case 2: broj = brojevi[2] + brojevi[0] + brojevi[1]; break; // 201
                    case 3: broj = brojevi[1] + brojevi[0] + brojevi[2]; break; // 102
                    case 4: broj = brojevi[2] + brojevi[1] + brojevi[0]; break; // 210
                    case 5: broj = brojevi[0] + brojevi[2] + brojevi[1]; break; // 021
                    default: broj = null; break;
                }
                if (najveci == null || veci(broj, najveci))
                    najveci = broj;
            }
            Console.WriteLine(najveci);
        }

        static bool veci(string broj1, string broj2)
        {
            int l = Math.Min(broj1.Length, broj2.Length);
            for (int i = 0; i < l; i++)
            {
                if (broj1[i] > broj2[i]) return true;
                if (broj1[i] < broj2[i]) return false;
            }
            return l == broj1.Length;
        }
    }
}